Bug 1255417 - Latest OpenSSL breaks Ruby test suite
Latest OpenSSL breaks Ruby test suite
Status: CLOSED EOL
Product: Red Hat Software Collections
Classification: Red Hat
Component: ruby (Show other bugs)
ruby193
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Iveta Wiedermann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 10:12 EDT by Iveta Wiedermann
Modified: 2017-03-31 11:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1252070
Environment:
Last Closed: 2017-03-31 11:02:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iveta Wiedermann 2015-08-20 10:12:52 EDT
This appears also in ruby193 collection:

1) Error:
test_ciphers(OpenSSL::TestCipher):
OpenSSL::Cipher::CipherError: wrap mode not allowed
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/test_cipher.rb:75:in `initialize'
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/test_cipher.rb:75:in `new'
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/test_cipher.rb:75:in `block in test_ciphers'
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/test_cipher.rb:74:in `each'
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/test_cipher.rb:74:in `test_ciphers'


2) Error:
test_client_auth(OpenSSL::TestSSL):
OpenSSL::SSL::SSLError: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate request A: dh key too small
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/test_ssl.rb:125:in `connect'
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/test_ssl.rb:125:in `block in test_client_auth'
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/utils.rb:280:in `call'
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/utils.rb:280:in `start_server'
    /home/test/ruby193/BUILD/ruby-1.9.3-p484/test/openssl/test_ssl.rb:112:in `test_client_auth'


...

10485 tests, 2233081 assertions, 1 failures, 21 errors, 50 skips

ruby193-ruby-1.9.3.484-51

+++ This bug was initially created as a clone of Bug #1252070 +++

Description of problem:
  1) Error:
TestGemRemoteFetcher#test_ssl_client_cert_auth_connection:
Gem::RemoteFetcher::FetchError: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate request A: dh key too small (https://localhost:44050/yaml)
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:88:in `rescue in connection_for'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:85:in `connection_for'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:140:in `perform_request'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:109:in `fetch'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:352:in `request'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:237:in `fetch_http'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:273:in `fetch_path'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:748:in `block in test_ssl_client_cert_auth_connection'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:806:in `with_configured_fetcher'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:745:in `test_ssl_client_cert_auth_connection'
  2) Error:
TestGemRemoteFetcher#test_ssl_connection:
Gem::RemoteFetcher::FetchError: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate request A: dh key too small (https://localhost:43820/yaml)
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:88:in `rescue in connection_for'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:85:in `connection_for'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:140:in `perform_request'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:109:in `fetch'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:352:in `request'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:237:in `fetch_http'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:273:in `fetch_path'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:731:in `block in test_ssl_connection'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:806:in `with_configured_fetcher'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:730:in `test_ssl_connection'
  3) Error:
TestGemRemoteFetcher#test_ssl_connection_allow_verify_none:
Gem::RemoteFetcher::FetchError: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate request A: dh key too small (https://localhost:54262/yaml)
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:88:in `rescue in connection_for'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:85:in `connection_for'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:140:in `perform_request'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/request.rb:109:in `fetch'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:352:in `request'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:237:in `fetch_http'
    /builddir/build/BUILD/ruby-2.2.2/lib/rubygems/remote_fetcher.rb:273:in `fetch_path'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:783:in `block in test_ssl_connection_allow_verify_none'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:806:in `with_configured_fetcher'
    /builddir/build/BUILD/ruby-2.2.2/test/rubygems/test_gem_remote_fetcher.rb:782:in `test_ssl_connection_allow_verify_none'


Version-Release number of selected component (if applicable):
openssl-1.0.1e-30.el6_6.11.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Ruby build just fine with rhscl-2.0-rh-ruby22-rhel-6 branch so far, but it fails agains rhscl-2.1-rh-ruby22-rhel-6.

--- Additional comment from Joe Orton on 2015-08-13 09:13:59 EDT ---

Batch update, deferring to a later release.
Comment 2 Joe Orton 2016-10-12 08:52:33 EDT
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (October 2016) after which customers are encouraged either to upgrade to a later release or continue on as self-supported without official Red Hat Support.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/
Comment 3 Joe Orton 2017-03-31 11:02:02 EDT
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Note You need to log in before you can comment on or make changes to this bug.